ShardRequest (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.component.ShardRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.component
Class ShardRequest

    java.lang.Object
      org.apache.solr.handler.component.ShardRequest

    public class ShardRequest

extends Object

Field Summary
`String[]` | `actualShards` actual shards to send the request to, filled out by framework
`static String[]` | `ALL_SHARDS`
`ModifiableSolrParams` | `params`
`int` | `purpose`
`static int` | `PURPOSE_GET_DEBUG`
`static int` | `PURPOSE_GET_FACETS`
`static int` | `PURPOSE_GET_FIELDS`
`static int` | `PURPOSE_GET_HIGHLIGHTS`
`static int` | `PURPOSE_GET_STATS`
`static int` | `PURPOSE_GET_TERM_DFS`
`static int` | `PURPOSE_GET_TERMS`
`static int` | `PURPOSE_GET_TOP_GROUPS`
`static int` | `PURPOSE_GET_TOP_IDS`
`static int` | `PURPOSE_PRIVATE`
`static int` | `PURPOSE_REFINE_FACETS`
`static int` | `PURPOSE_REFINE_TOP_IDS`
`List<ShardResponse>` | `responses` list of responses...
`String[]` | `shards`

Constructor Summary
`ShardRequest()`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_SHARDS

    public static final String[] ALL_SHARDS

### PURPOSE_PRIVATE

    public static final int PURPOSE_PRIVATE

See Also:
  Constant Field Values

### PURPOSE_GET_TERM_DFS

    public static final int PURPOSE_GET_TERM_DFS

See Also:
  Constant Field Values

### PURPOSE_GET_TOP_IDS

    public static final int PURPOSE_GET_TOP_IDS

See Also:
  Constant Field Values

### PURPOSE_REFINE_TOP_IDS

    public static final int PURPOSE_REFINE_TOP_IDS

See Also:
  Constant Field Values

### PURPOSE_GET_FACETS

    public static final int PURPOSE_GET_FACETS

See Also:
  Constant Field Values

### PURPOSE_REFINE_FACETS

    public static final int PURPOSE_REFINE_FACETS

See Also:
  Constant Field Values

### PURPOSE_GET_FIELDS

    public static final int PURPOSE_GET_FIELDS

See Also:
  Constant Field Values

### PURPOSE_GET_HIGHLIGHTS

    public static final int PURPOSE_GET_HIGHLIGHTS

See Also:
  Constant Field Values

### PURPOSE_GET_DEBUG

    public static final int PURPOSE_GET_DEBUG

See Also:
  Constant Field Values

### PURPOSE_GET_STATS

    public static final int PURPOSE_GET_STATS

See Also:
  Constant Field Values

### PURPOSE_GET_TERMS

    public static final int PURPOSE_GET_TERMS

See Also:
  Constant Field Values

### PURPOSE_GET_TOP_GROUPS

    public static final int PURPOSE_GET_TOP_GROUPS

See Also:
  Constant Field Values

### purpose

    public int purpose

### shards

    public String[] shards

### params

    public ModifiableSolrParams params

### responses

    public List<ShardResponse> responses

  list of responses... filled out by framework

### actualShards

    public String[] actualShards

  actual shards to send the request to, filled out by framework

Constructor Detail

### ShardRequest

    public ShardRequest()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD